Yoursafe · FlexPay
Yoursafe

Purchase

OpenAPI
  • https://secure.verotel.com
  • https://secure.billing.creditcard
  • https://secure.gaycharge.com
  • https://secure.yoursafedirect.com
GET https://secure.verotel.com/startorder
    ?version=4
    &shopID=12345
    &type=purchase
    &priceAmount=9.99
    &priceCurrency=USD
    &description=Test purchase
    &paymentMethod=CC
    &referenceID=order-1001
    &custom1=xxyyzz
    &custom2=custom-2
    &custom3=custom-3
    &successURL=https://example.com/success
    &declineURL=https://example.com/declined
    &oneClickToken=one-click-token
    &email=buyer@example.com
    &signature=abcdef0123456789abcdef0123456789abcdef01
GET/startorder

Query parameters

versionnumberrequired

version version of the FlexPay call, 4 for this version

shopIDnumberrequired

numerical ID of the website in the Verotel system

typestringrequired

purchase

priceAmountnumberrequired

priceAmount amount to be processed in nnn.nn format

priceCurrencystringrequired
  • priceCurrency 3 char ISO code, must be one of the Sale currencies (USD EUR GBP AUD CAD CHF DKK NOK SEK)
  • NOTE: only EUR is can be used for DDEU payment method system
descriptionstringrequired

description of the product. Text is displayed on the order page - max 100 printable characters

paymentMethodstring
  • payment method, CC, YOURSAFE_DIRECT or, DDEU (if not set then buyers can choose from available payment methods)
  • NOTE: DDEU is available only in DE, AT, CH, BE, IT, NL, ES and FR
  • If oneClickToken is sent, the payment method must be set to CC.
  • When processing without Orderpage, IDEAL must be set.
referenceIDstring

merchant’s reference identifier. It must be unique if provided

custom1string

pass-through variable - max 255 printable characters

custom2string

pass-through variable - max 255 printable characters

custom3string

pass-through variable - max 255 printable characters

successURLstring

URL for redirect after successful transaction - max 255 characters. Defaults to success landing URL on the website.

declineURLstring

URL for redirect after declined transaction - max 255 characters. Defaults to decline landing URL on the website.

oneClickTokenstring
  • the one-time oneClickToken from previous purchase
  • NOTE: oneClickToken is excluded from signature calculations
emailstring
  • email of the buyer. If not set, it will be collected on the Order Page
  • NOTE: email is excluded from signature calculations (max 100 chars else it will be ignored)
signaturestringrequired

Signature calculation

GET https://secure.verotel.com/status/order
    ?version=4
    &shopID=12345
    &referenceID=order-1001
    &saleID=123456
    &signature=abcdef0123456789abcdef0123456789abcdef01
GET/status/order

Query parameters

versionnumber

4

shopIDnumber

numerical ID of the website in the Verotel system

referenceIDstring

Merchant’s reference identifier if provided (referenceID OR saleID must be posted - NOT BOTH)

saleIDnumber

Verotel saleID identifier (referenceID OR saleID must be posted - NOT BOTH)

signaturestring

Signature calculation

Response

200
responsestring
  • FOUND - purchase record found and returned
  • NOTFOUND - purchase not found
  • ERROR - error (see ‘error’ key)
errorstring

message (for response=ERROR)

saleIDstring

identifier of the transaction in Verotel System

shopIDstring

ID of website in Verotel system

paymentMethodstring
  • an identifier of payment method that was used for the transaction.
  • Can be one of following: Credit Card or Direct Debit EU
priceAmountstring

amount processed. in nnn.nn formatt

priceCurrencystring

3 char ISO code of the Sale currency

descriptionstring

Product description text - max 100 printable characters

referenceIDstring

Merchant reference identifier - max 100 printable characters

namestring

name of the buyer

emailstring

email address of the buyer

countrystring

selected or detected country ISO code (ISO 3166-1-alpha-2 code)

oneClickTokenstring

If the feature is enabled - Currently valid oneClickToken

createdOnstring

Timestamp of purchase creation

saleResultstring

purchase processing result (APPROVED)

billingAddr_fullNamestring

billing address: full name field value

billingAddr_companystring

billing address: company field value

billingAddr_addressLine1string

billing address: 1st line field value

billingAddr_addressLine2string

billing address: 2nd line field value

billingAddr_citystring

billing address: city name

billingAddr_zipstring

billing address: zip code / postal code

billingAddr_statestring

billing address: US state code (ISO 3166-2)

billingAddr_countrystring

billing address: country ISO code (ISO 3166-1-alpha-2 code)

Subscription

OpenAPI
  • https://secure.verotel.com
  • https://secure.billing.creditcard
  • https://secure.gaycharge.com
  • https://secure.yoursafedirect.com
GET https://secure.verotel.com/startorder
    ?version=4
    &shopID=12345
    &type=subscription
    &priceAmount=9.99
    &priceCurrency=USD
    &period=P30D
    &subscriptionType=recurring
    &trialAmount=5.00
    &trialPeriod=P7D
    &name=Test subscription
    &paymentMethod=CC
    &referenceID=order-1001
    &custom1=xxyyzz
    &custom2=custom-2
    &custom3=custom-3
    &successURL=https://example.com/success
    &declineURL=https://example.com/declined
    &email=buyer@example.com
    &signature=abcdef0123456789abcdef0123456789abcdef01
GET/startorder

Query parameters

versionnumberrequired
  • version version of the FlexPay call, 4 for this version.
  • When processing without Orderpage, at least version 3.3 must be used.
shopIDnumberrequired

numerical ID of the website in the Verotel system

typestringrequired

subscription

priceAmountnumberrequired

priceAmount amount to be processed in nnn.nn format

priceCurrencystringrequired
  • priceCurrency 3 char ISO code, must be one of the Sale currencies (USD EUR GBP AUD CAD CHF DKK NOK SEK)
  • NOTE: only EUR is can be used for DDEU payment method system
periodstringrequired

duration in ISO8601 format, for example: P30D, minimum is 7 days for recurring and 2 days for on-time

subscriptionTypestringrequired
  • one-time or recurring
  • NOTE: DDEU and YOURSAFE_DIRECT only support one-time
trialAmountnumber

amount to be processed in nnn.nn format for the initial trial period, minimum is 2 days

trialPeriodstring

duration in ISO8601 format, for example: P30D

namestring

description of the product. Text is displayed on the order page - max 100 printable characters

paymentMethodstring
  • payment method, CC, YOURSAFE_DIRECT or DDEU (if not set then buyers can choose from available payment methods)
  • NOTE: DDEU is available only in DE, AT, CH, BE, IT, NL, ES and FR
  • If oneClickToken is sent, the payment method must be set to CC.
  • When processing without Orderpage, IDEAL must be set.
referenceIDstring

merchant’s reference identifier. It must be unique if provided

custom1string

pass-through variable - max 255 printable characters

custom2string

pass-through variable - max 255 printable characters

custom3string

pass-through variable - max 255 printable characters

successURLstring

URL for redirect after successful transaction - max 255 characters. Defaults to success landing URL on the website.

declineURLstring

URL for redirect after declined transaction - max 255 characters. Defaults to decline landing URL on the website.

emailstring
  • email of the buyer. If not set, it will be collected on the Order Page
  • NOTE: email is excluded from signature calculations (max 100 chars else it will be ignored)
signaturestringrequired

Signature calculation

GET https://secure.verotel.com/status/order
    ?version=4
    &shopID=12345
    &referenceID=order-1001
    &saleID=123456
    &signature=abcdef0123456789abcdef0123456789abcdef01
GET/status/order

Query parameters

versionnumber

4

shopIDnumber

numerical ID of the website in the Verotel system

referenceIDstring

Merchant’s reference identifier if provided (referenceID OR saleID must be posted - NOT BOTH)

saleIDnumber

Verotel saleID identifier (referenceID OR saleID must be posted - NOT BOTH)

signaturestring

Signature calculation

Response

200
responsestring
  • FOUND - purchase record found and returned
  • NOTFOUND - purchase not found
  • ERROR - error (see ‘error’ key)
errorstring

message (for response=ERROR)

saleIDstring

identifier of the transaction in Verotel System

shopIDstring

ID of website in Verotel system

paymentMethodstring
  • an identifier of payment method that was used for the transaction.
  • Can be one of following: Credit Card or Direct Debit EU
priceAmountstring

amount processed in nnn.nn format

priceCurrencystring

3 char ISO code of the Sale currency

trialAmountstring

trial period processed amount

trialPeriodstring

duration of trial period in ISO8601 format

discountAmountstring

reccurring amount after cancel discount confirmation by buyer

periodstring

duration in ISO8601 format, for example: P30D

descriptionstring

Product description text - max 100 printable characters

typestring

purchase or subscription

subscriptionTypestring

one-time or recurring

expiredstring

yes or no

expiresOnstring

when subscription will be terminated

referenceIDstring

Merchant reference identifier - max 100 printable characters

namestring

name of the buyer

emailstring

email address of the buyer

countrystring

selected or detected country ISO code (ISO 3166-1-alpha-2 code)

oneClickTokenstring

If the feature is enabled - Currently valid oneClickToken

cancelledstring

yes or no

cancelledOnstring

Timestamp of cancellation

cancelledBystring

user support merchant system

createdOnstring

Timestamp of purchase creation

saleResultstring

purchase processing result (APPROVED)

billingAddr_fullNamestring

billing address: full name field value

billingAddr_companystring

billing address: company field value

billingAddr_addressLine1string

billing address: 1st line field value

billingAddr_addressLine2string

billing address: 2nd line field value

billingAddr_citystring

billing address: city name

billingAddr_zipstring

billing address: zip code / postal code

billingAddr_statestring

billing address: US state code (ISO 3166-2)

billingAddr_countrystring

billing address: country ISO code (ISO 3166-1-alpha-2 code)

GET https://secure.verotel.com/cancel-subscription
    ?version=4
    &shopID=12345
    &saleID=123456
    &signature=abcdef0123456789abcdef0123456789abcdef01
GET/cancel-subscription

Query parameters

versionstringrequired

version version of the FlexPay call, 4 for this version

shopIDnumberrequired

numerical ID of the website or shop in Verotel system

saleIDnumberrequired

Verotel saleID identifier

signaturestringrequired

Signature calculation

GET https://secure.verotel.com/startorder
    ?version=4
    &shopID=12345
    &type=upgradesubscription
    &precedingSaleID=123450
    &priceAmount=9.99
    &priceCurrency=USD
    &period=P30D
    &subscriptionType=recurring
    &name=Test subscription
    &upgradeOption=lost
    &paymentMethod=CC
    &custom1=xxyyzz
    &custom2=custom-2
    &custom3=custom-3
    &successURL=https://example.com/success
    &email=buyer@example.com
    &signature=abcdef0123456789abcdef0123456789abcdef01
    &trialAmount=5.00
    &trialPeriod=P7D
GET/startorder

Query parameters

versionnumberrequired

version version of the FlexPay call, 4 for this version

shopIDnumberrequired

numerical ID of the website in the Verotel system

typestringrequired

upgradesubscription

precedingSaleIDnumberrequired

Identificator of sale the buyer is upgrading from

priceAmountnumberrequired

amount to be processed in nnn.nn format

priceCurrencystringrequired
  • priceCurrency 3 char ISO code, must be one of the Sale currencies (USD EUR GBP AUD CAD CHF DKK NOK SEK)
  • NOTE: only EUR is can be used for DDEU payment method system
periodstringrequired

duration in ISO8601 format, for example: P30D, minimum is 7 days for recurring and 2 days for on-time

subscriptionTypestringrequired
  • one-time or recurring
  • NOTE: DDEU and YOURSAFE_DIRECT only support one-time
namestring

description of the product. Text is displayed on the order page - max 100 printable characters

upgradeOptionstring

lost or extend - – this option defines how to deal with the remaining period from the previous sale, if not provided the remaining period is added to new sale (“same as “extend”)

paymentMethodstring
  • payment method, CC, YOURSAFE_DIRECT, DDEU (if not set then buyers can choose from available payment methods)
  • NOTE: DDEU is available only in DE, AT, CH, BE, IT, NL, ES and FR
  • If oneClickToken is sent, the payment method must be set to CC
custom1string

pass-through variable - max 255 printable characters

custom2string

pass-through variable - max 255 printable characters

custom3string

pass-through variable - max 255 printable characters

successURLstring

URL for redirect after successful transaction - max 255 characters. Defaults to success landing URL on the website.

emailstring
  • email of the buyer. If not set, it will be collected on the Order Page
  • NOTE: email is excluded from signature calculations (max 100 chars else will be ignored)
signaturestringrequired

Signature calculation

trialAmountnumber

amount to be processed (max 2 decimal places, stripped zeroes) for the initial trial period

trialPeriodstring

duration in ISO8601 format